/* google-fonts-link */
@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Forum&family=Inter:wght@100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family: "Forum", serif;
}

:root {
    --stroke-color: #ffefd5;
    --footer-color: #160d07;
    --bg-color: #fff8dc99;
    --bg-2-color: #fff8dc;
    --text-color: #fffdee;
    --main-color: #6d0064;
    --main2-color: #5f0057;
    --hover-color: #f699b3;
    --other-color: #d6d4c8;
    --second-color: #ffffff4f;
    --alt-color: #7d5537;
    --pink-color: #fb0086;
    --cart-color: #ffcaea;
    --cart-radi-color: #352317;
    --header-sticky-color: #e9c0a0;
    --pit-color: #ffc0cb;

    --p-color: var(--main-color);
    --h3-color: var(--main-color);
    --h4-color: var(--main-color);

    --h1-font: 7.5rem;
    --h2-font: 5.5rem;
    --h3-font: 3.5rem;
    --h4-font: 1.875rem;
    --p-font: 1.5rem;
}

::selection {
    background-color: #ffc0cb;
}

body {
    position: relative;
    background: url('../img/bg-desktop.png') no-repeat center center fixed;
    background-size: cover;
    color: white;
}

/* header-begin */
header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    height: 13%;
    padding: 0.001px 8%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: all .7s ease;
}

header.sticky {
    background: var(--header-sticky-color);
}

.logo img {
    width: 75px;
    height: auto;
    filter: invert(1);
    transition: all .7s ease;
}

.logo img:hover {
    transform: scale(1.07);
    filter: brightness(0) saturate(100%) invert(13%) sepia(82%) saturate(744%) hue-rotate(310deg);
}

.logo img.dark-logo {
    /*transform: scale(1.07);*/
    filter: brightness(0) saturate(100%) invert(13%) sepia(82%) saturate(744%) hue-rotate(310deg);
}

.navlinks a {
    font-size: 22px;
    display: inline-block;
    color: white;
    margin: 0 18px;
    transition: all .7s ease;
    font-weight: 900;
    position: relative;
}

.navlinks a:hover {
    color: var(--main-color);
    transform: scale(1.07) translateY(-5px);
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    opacity: 0;
    position: absolute;
    background: var(--bg-2-color);
    min-width: 225px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    overflow: hidden;
    z-index: 10;
    left: -30px;
    top: 40px;
    transition: opacity 0.5s ease, transform 0.5s ease;
    padding: 0px;

    padding-bottom: 10px;
    padding-top: 10px;
}

.dropdown-content a {
    text-align: center;
    color: var(--main-color);
    padding: 12px 16px;
    display: block;
    text-decoration: none;
}

.dropdown:hover .dropdown-content {
    opacity: 1;
    transition-delay: 0.3s;
}

.dropdown-content a:hover {
    background: var(--pit-color);

    border-radius: 10px;
}

.nav-side {
    display: flex;
    align-items: center;
}

.n-btn {
    background: rgba(0, 0, 0, 0.7);
    background-color: var(--main-color);
    border: 1px solid var(--second-color);
    color: var(--text-color);
    font-size: 12px;
    display: inline-block;
    transition: all .7s ease;
    border-radius: 0.8rem;
    padding: 14px 25px;
}

.n-btn:hover {
    background: var(--hover-color);
    border: 1px solid var(--hover-color);

    transform: scale(1.07) translateY(-5px);
}

.n-btn a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.mobile-menu {
    position: fixed;
    top: 0;
    left: -50%;
    width: 50%;
    height: 100vh;
    background: var(--header-sticky-color);
    box-shadow: 5px 0 15px rgba(0, 0, 0, 0.2);
    z-index: 2000;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 50px;

    transform: translateX(-100%);
    transition: transform 0.5s ease-in-out, left 0.5s ease-in-out;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    backdrop-filter: blur(30px);
    z-index: 1500;
    display: none;

    opacity: 0;
    transition: opacity 0.4s ease-in-out;
}

.overlay.active {
    display: block;

    opacity: 1;
}

.overlay.closing {
    opacity: 0;
}

.mobile-menu.active {
    left: 0;
    transform: translateX(0);
}
.mobile-menu.closing {
    transform: translateX(0);
}
.mobile-menu a {
    font-size: var(--h4-font);
    color: white;
    text-decoration: none;
    font-weight: 900;
    margin: 18px 0;
    transition: all .7s ease;
    position: relative;
}

.mobile-menu a:hover {
    color: var(--main-color);
    transform: scale(1.07) translateY(-5px);
}

#menu-icon-open {
    font-size: 42px;
    z-index: 10001;
    cursor: pointer;
    margin-left: 20px;
    display: none;
}

#menu-icon-close {
    font-size: 42px;
    z-index: 10001;
    cursor: pointer;
    margin-left: 20px;
    display: none;
}

.submenu {
    display: none;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.submenu.active {
    display: flex;
}

.submenu a {
    font-size: var(--h4-font);
    background: rgba(255, 255, 255, 0.1);
    padding: 10px 20px;
    width: 80%;
    text-align: center;
    border-radius: 5px;
    margin: 5px 0;
    opacity: 0;
    transform: translateX(-30px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.submenu.active a:nth-child(1) {
    transition-delay: 0.1s;
}

.submenu.active a:nth-child(2) {
    transition-delay: 0.2s;
}

.submenu.active a:nth-child(3) {
    transition-delay: 0.3s;
}

.submenu.active a:nth-child(4) {
    transition-delay: 0.4s;
}

.submenu.active a {
    opacity: 1;
    transform: translateX(0);
}

.contact-gallery-container {
    transition: transform 0.5s ease-in-out;
}
/* header-end */

/* section-begin */
section {
    padding: 90px 17% 80px;
}
.section.active {
    color: var(--main-color);
    transform: scale(1.07) translateY(-5px);
}

.text-stroke {
    color: var(--stroke-color);
    font-size: var(--h1-font);
    font-weight: 700;
    text-shadow: 2px 2px 4px var(--main-color), -2px -2px 4px var(--main-color);
    display: inline;
}

.leaf {
    position: fixed;
    width: 20px;
    height: 20px;
    background-size: contain;
    animation: fall linear infinite;
    z-index: -1;
}

.blur-wrapper {
    width: 100vw;
    max-width: 100%;
    overflow-x: hidden;

    backdrop-filter: blur(30px);
    -webkit-backdrop-filter: blur(30px);

    -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0px, rgba(0, 0, 0, 1) 250px);
    mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0px, rgba(0, 0, 0, 1) 250px);

    background: rgba(211, 183, 121, 0.3);
}
/* section-end */

/* home-begin */
.space{
    margin-bottom: 150px;
}
.services-home {
    backdrop-filter: blur(1.0px);

    position: relative;
    display: grid;
    align-items: center;

    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    width: 100%;
    height: 100vh;
}

.services-home h1 {
    font-size: var(--h1-font);

    font-weight: 500;
    margin: 22px 0;
    line-height: 7rem;

    transform: translateX(-12%);
}

.services-home h4 {
    font-size: var(--h4-font);
    color: var(--h4-color);

    font-weight: 750;
    transform: translateX(-12%);
}

.services-home p {
    font-size: var(--p-font);
    color: var(--p-color);

    font-weight: 400;
    line-height: 32px;

    transform: translateX(-12%);
}

.home {
    backdrop-filter: blur(1.0px);

    position: relative;
    display: grid;
    align-items: center;

    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    width: 100%;
    height: 100vh;
}

.home h1 {
    font-size: var(--h1-font);

    font-weight: 500;
    margin: 22px 0;
    line-height: 7rem;

    transform: translateX(-12%);
}

.home h4 {
    font-size: var(--h4-font);
    color: var(--h4-color);

    font-weight: 750;
    transform: translateX(-12%);
}

.home p {
    font-size: var(--p-font);
    color: var(--p-color);

    font-weight: 400;
    line-height: 32px;

    transform: translateX(-12%);
}

.social {
    position: absolute;
    
    top: 50%;
    padding: 0 5.0%;

    transform: translateY(-50%);
}

.social i {
    color: var(--main-color);

    display: block;

    margin: 28px 0;
    font-size: 32px;
    transition: all .7s ease;
}

.social i:hover {
    color: var(--hover-color);

    transform: scale(1.1) translateY(-5px);
}

.home-social {
    position: absolute;
    
    top: 50%;
    padding: 0 5.0%;

    transform: translateY(-50%);
}

.home-social i {
    color: var(--main-color);

    display: block;

    margin: 28px 0;
    font-size: 32px;
    transition: all .7s ease;
}

.home-social i:hover {
    color: var(--hover-color);

    transform: scale(1.1) translateY(-5px);
}

.video-container {
    border: 3px solid var(--main-color);
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.5);

    overflow: hidden;
    cursor: pointer;

    border-radius: 20px;
    width: 270px;

    transform: translateX(250px);
}

.video-container video {
    display: block; 

    width: 100%;
    height: 100%;
}

.video-container:hover {
    opacity: 1;
}
/* home-end */

/* about-begin */
.about {
    background-color: var(--bg-color);
}
.about-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    align-items: center;
    justify-content: center;
    max-width: 1200px;
    margin: auto;
    padding: 40px;

    margin-top: 150px;
}

.about-left {
    display: flex;
    justify-content: center; 
    align-items: center;

    margin-top: 175px;
}

.about-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

    margin-top: 100px;
}

.about h2 {
    font-size: var(--h2-font);
    font-weight: 500;
    margin-bottom: 20px;
}

.about h3 {
    font-size: var(--h3-font);
    font-weight: 500;
    margin-bottom: 20px;
}

.about p {
    font-size: var(--p-font);
    color: var(--p-color);

    text-indent: 20px;
    font-weight: 400;
    line-height: 32px;

    text-align: justify;

    margin-bottom: 60px;
}

.about-img img {
    max-width: 1350px;
    height: 130%;
    width: 130%;

    object-fit: contain;
    
    transform: translate(-150px, -70px);
}

.btn {
    background: var(--cart-color);
    color: var(--bg-color);
    border: 1px solid var(--cart-color);

    display: inline-block;
    text-transform: uppercase;
    
    padding: 14px 25px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 0.8rem;
    transition: all .7s ease;
}

.btn:hover {
    color: var(--text-color);
    background: transparent;

    border: 1px solid var(--second-color);
    
    transform: scale(1.1);
    letter-spacing: 2px;
}
/* about-end */

/* services-begin */
.services {
    position: relative;
    background-color: var(--bg-color);
}

.head-text {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

    gap: 3rem;
}

.head-left h2 {
    font-size: var(--h2-font);
    margin-top: 15px;
    font-weight: 500;
}

.head-right h4 {
    font-size: var(--h4-font);
    font-weight: 500;
}

.services-content {
    display: grid;
    /*grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    align-items: center;*/
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    align-items: stretch;
    text-align: center;

    gap: 2rem;
    margin-top: 4rem;
}

.services-content a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.box {
    background: linear-gradient(var(--bg-color) 0%, var(--pit-color) 64%, var(--bg-color) 100%);
    border: 1px solid var(--cart-radi-color);

    position: relative;
    
    padding: 40px 60px;
    border-radius: 0.8rem;

    /**/
    height: 100%; /* Burada bu satır önemli */
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.box img {
    object-fit: contain;
    transition: all .7s ease;

    max-width: 250px;
    width: 100%;
    height: 100px;
}

.box:hover img {
    cursor: pointer;

    transform: scale(1.03) translateY(-6px);
}

.box h3 {
    color: var(--h3-color);
    
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    font-size: 35px;
    font-weight: 500;
    margin: 12px 0;
}
.box:hover h3 {
    color: var(--pink-color);
}
/* services-end */

/* contact-begin */
.contact {
    background-color: var(--bg-color);
}

.contact a {
    color: inherit;
    text-decoration: none;
    display: block;
    transition: all .7s ease;
}

.contact a:hover {
    color: var(--pink-color);
    text-decoration: none;
    display: block;
    transform: scale(1.03);
}

.contact p {
    font-size: var(--p-font);
    color: var(--p-color);

    text-align: center;
    margin-bottom: 40px;
    line-height: 1.5;
}

.contact h2 {
    font-size: var(--h2-font);

    text-align: center;
    margin-bottom: 40px;
}

.contact h4 {
    font-size: var(--h4-font);
    color: var(--main2-color);

    text-align: center;
    margin-bottom: 20px;
}

.contact-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contact-container {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;

    gap: 20px;
    padding: 20px;
}

.horizontal-line {
    width: 370px;
    border: 1px solid var(--main-color);
    margin-bottom: 5px;
    cursor: pointer;
    transition: all .7s ease;
}

.horizontal-line:hover {
    transform: scaleX(1.1);
}

.vertical-line {
    height: 370px;
    border: 1px solid var(--main-color);
    margin: 0 20px;
    cursor: pointer;
    transform-origin: center center;
    transition: all .7s ease;
}

.vertical-line:hover {
    transform: scaleY(1.1);
}

.navmenu-line {
    height: 370px;
    border: 1px solid var(--main-color);
    margin: 0 20px;
    cursor: pointer;
    transform-origin: center center;
    transition: all .7s ease;
}

.navmenu-line:hover {
    transform: scaleY(1.1);
}

iframe {
    display: block;
    border: none;

    width: 100%;
    height: 100%;
}

.iframe-box {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);

    transform-origin: center center;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: all .7s ease;

    border-radius: 3rem;
    width: 600px;
    height: 375px;
    margin: 0 auto;
    padding: 0;
    margin-left: -150px;
}

.iframe-box:hover {
    opacity: 1;

    transform: scale(1.03) translateY(-6px);
}

.contact-social {
    display: flex;
    flex-direction: column;
    
    margin-top: 100px;

    transform: translate(90px);
}

.contact-social i {
    color: var(--main-color);

    margin: 14px 0;
    font-size: var(--h4-font);

    transition: all .7s ease;
    display: block;
}

.contact-social i:hover {
    transform: scale(1.1) translateY(-5px);

    color: var(--hover-color);
}
/* contact-end */

/* footer-begin */
.footer {
    background-color: var(--bg-color);
    color: var(--footer-color);

    display: flex;
    align-items: center;
    justify-content: space-between;

    gap: 2rem;
    padding: 20px 14%;
}

.copyright a {
    color: var(--footer-color);

    font-size: 15px;
    font-weight: 600;
}

.scroll-btnn i {
    background: var(--main-color);
    color: var(--text-color);

    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: all .7s ease;

    height: 50px;
    width: 50px;
    border-radius: 50%;
    font-size: 22px;
}

.scroll-btnn:hover i {
    background: var(--hover-color);
    border: 1px solid var(--hover-color);

    transform: scale(1.07) translateY(-5px);
}
/* footer-end */

/* page-content-begin */
.page-content {
    display: grid;
    justify-content: center;
}

.page-content a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.page-content p {
    font-size: var(--p-font);
    color: var(--p-color);

    text-align: center;

    line-height: 32px;
}

.page-content h1 {
    font-size: var(--h1-font);
    color: var(--h1-color);

    text-align: center;

    font-weight: 500;
    margin-bottom: 20px;
}

.page-content h2 {
    font-size: var(--h2-font);
    color: var(--h2-color);

    font-weight: 500;
    margin-bottom: 20px;
}

.page-content h3 {
    font-size: var(--h3-font);
    color: var(--h3-color);

    font-weight: 500;
    margin-bottom: 20px;
    text-align: center;
}

.page-content h4 {
    font-size: var(--h4-font);
    color: var(--h4-color);

    font-style: italic;
    text-align: center;

    font-weight: 500;
    margin-bottom: 20px;
}

.page-content-columns-3 {
    display: flex;
    justify-content: center;
    /*align-items: center;*/
    align-items: stretch; /* burası önemli */

    gap: 5rem;
}

.page-content-container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    gap: 10px;
}

.gallery-item {
    position: relative;
    display: inline-block;
    overflow: hidden;
    transition: all .7s ease;
}
.gallery-item:hover {
    transform: scale(1.07) /*translateY(-5px)*/;
} 

.page-content-gallery {
    max-width: 60rem;
    margin: 0 auto;
    column-count: 3;
    column-gap: 1em;
}

.page-content-gallery img {
    transition: all .7s ease;
    display: block;

    /*border-radius: 20px;*/
    width: 100%;
    margin-bottom: 1em;

    border: 10px solid var(--bg-2-color);
    
    cursor: pointer;
}
.page-content-gallery img:hover {
    transform: scale(1.00);
    opacity: 1;
}

.page-content-gallery video {
    transition: all .7s ease;
    display: block;

    width: 100%;
    margin-bottom: 1em;

    border: 10px solid var(--bg-2-color);
    
    cursor: pointer;
}
.page-content-gallery video:hover {
    transform: scale(1.00);
}
.page-content-gallery video:fullscreen {
    border-radius: 0;
    border: none;
    width: 100%;
    height: 100%;
}

.page-content-box {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);

    text-align: center;
    cursor: pointer;
    transition: all .7s ease;

    width: 350px;
    border-radius: 3rem;
    padding: 20px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.page-content-box:hover {
    background-color: var(--bg-2-color);

    transform: scale(1.07) translateY(-5px);
}

.page-content-circle {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);

    width: 180px;
    height: 180px;
    border-radius: 50%;
    
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.7s ease;
    cursor: pointer;
}

.page-content-circle:hover {
    z-index: 1000;

    transform: scale(2.07) translateY(-5px);
}

.img-anim:hover {
    z-index: 999;
}

.page-content-circle img {
    object-fit: cover;
    transition: opacity 0.3s ease;
    
    width: 100%;
    height: 100%;
    border-radius: 50%;
    opacity: 0.5;
}

.page-content-circle img:hover {
    opacity: 1;
}

.circle-top {
    transform: translateY(-20px);
}

.circle-bottom {
    transform: translateY(20px);
}
/* page-content-end */

@keyframes fall {
    0% {
        transform: translateY(-10vh) rotate(0deg);
        opacity: 1;
    }

    100% {
        transform: translateY(100vh) rotate(360deg);
        opacity: 0;
    }
}

/* Küçük telefonlar (max-width: 320px) */
@media (max-width: 320px) {
    :root {
        --h1-font: 3rem;
        --h2-font: 2.5rem;
        --h3-font: 2rem;
        --h4-font: 1.5rem;
        --p-font: 1rem;
    }

    body {
        position: relative;
        background: url('../img/bg-mobile.png') no-repeat center center fixed;
        background-size: cover;
        color: white;
    }

    header {
        height: 10%;
    }

    #menu-icon-open {
        display: initial;
    }

    .navlinks {
        display: none;
    }
    
    .horizontal-line {
        width: 90%;
    }

    .vertical-line{
        display: none;
    }

    .page-content-columns-3 {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        gap: 5rem;
    }

    .page-content-circle {    
        width: 100px;
        height: 100px;
    }

    .video-container {
        width: 125px;
        position: fixed;
        top: 500px;
        left: 50%;
        transform: translateX(-50%);
    }

    .about-container {
        grid-template-columns: 1fr;
        
        margin-top: 10px;
    }

    .about-left { 
        text-align: center;
        width: 80vw;
    }
    
    .about-right {
        text-align: center;
        margin-top: 10px;

        align-items: center;
    }

    .about-img img {
        transform: translateX(-30px);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }

    .head-left {
        text-align: center;
    }

    .head-right {
        text-align: center;
    }

    .home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .home h1 {
        line-height: 4rem; 
        
        position: fixed;
        top: 375px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home h4 {
        position: fixed;
        top: 250px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home p {
        position: fixed;
        top: 810px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 950px;
    }
    
    .home-social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 900px;
    }

    .services-home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .services-home h1 {
        line-height: 4rem; 
        
        position: fixed;
        top: 200px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home h4 {
        position: fixed;
        top: 150px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home p {
        position: fixed;
        top: 750px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .page-content-box {
        width: 275px;
    }

    .n-btn {
        padding: 10px 15px;
    }
}

/* Telefonlar (321px - 480px) */
@media (min-width: 321px) and (max-width: 480px) {
    :root {
        --h1-font: 3.5rem;
        --h2-font: 3rem;
        --h3-font: 2.5rem;
        --h4-font: 1.75rem;
        --p-font: 1.125rem;
    }

    body {
        position: relative;
        background: url('../img/bg-mobile.png') no-repeat center center fixed;
        background-size: cover;
        color: white;
    }
    
    header {
        height: 10%;
    }

    #menu-icon-open {
        display: initial;
    }

    .navlinks {
        display: none;
    }

    .horizontal-line {
        width: 90%;
    }

    .vertical-line{
        display: none;
    }

    .page-content-columns-3 {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        gap: 5rem;
    }

    .page-content-circle {    
        width: 140px;
        height: 140px;
    }

    .video-container {
        width: 125px;
        position: fixed;
        top: 500px;
        left: 50%;
        transform: translateX(-50%);
    }

    .about-container {
        grid-template-columns: 1fr;
        
        margin-top: 10px;
    }

    .about-left { 
        text-align: center;
        width: 80vw;
    }
    
    .about-right {
        text-align: center;
        margin-top: 10px;

        align-items: center;
    }

    .about-img img {
        height: 100%;
        width: 100%;
        transform: translateX(0px);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }

    .head-left {
        text-align: center;
    }

    .head-right {
        text-align: center;
    }

    .home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .home h1 {
        line-height: 5.5rem; 
        
        position: fixed;
        top: 400px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home h4 {
        position: fixed;
        top: 250px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home p {
        position: fixed;
        top: 810px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 950px;
    }

    .home-social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 875px;
    }

    .services-home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .services-home h1 {
        line-height: 5.5rem;
        
        position: fixed;
        top: 200px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home h4 {
        position: fixed;
        top: 150px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home p {
        position: fixed;
        top: 750px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .page-content-box {
        width: 320px;
    }
}

/* Küçük tabletler (481px - 600px) */
@media (min-width: 481px) and (max-width: 600px) {
    :root {
        --h1-font: 4rem;
        --h2-font: 3.5rem;
        --h3-font: 2.75rem;
        --h4-font: 1.875rem;
        --p-font: 1.25rem;
    }

    body {
        position: relative;
        background: url('../img/bg-mobile.png') no-repeat center center fixed;
        background-size: cover;
        color: white;
    }

    header {
        height: 10%;
    }

    #menu-icon-open {
        display: initial;
    }

    .navlinks {
        display: none;
    }

    .horizontal-line {
        width: 90%;
    }

    .vertical-line{
        display: none;
    }

    .page-content-columns-3 {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        gap: 5rem;
    }

    .page-content-circle {    
        width: 180px;
        height: 180px;
    }

    .video-container {
        width: 200px;
        position: fixed;
        top: 525px;
        left: 50%;
        transform: translateX(-50%);
    }

    .about-container {
        grid-template-columns: 1fr;
        
        margin-top: 10px;
    }

    .about-left { 
        text-align: center;
        width: 80vw;
    }
    
    .about-right {
        text-align: center;
        margin-top: 10px;

        align-items: center;
    }

    .about-img img {
        height: 70%;
        width: 70%;
        transform: translateX(0px);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }

    .head-left {
        text-align: center;
    }

    .head-right {
        text-align: center;
    }

    .home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .home h1 {
        line-height: 6rem; 
   
        position: fixed;
        top: 425px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home h4 {
        position: fixed;
        top: 250px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home p {
        position: fixed;
        top: 810px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 1000px;
    }

    .home-social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 1000px;
    }

    .services-home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .services-home h1 {
        line-height: 6rem;
        
        position: fixed;
        top: 200px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home h4 {
        position: fixed;
        top: 150px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home p {
        position: fixed;
        top: 900px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .page-content-box {
        width: 480px;
    }
}

/* Büyük tabletler (601px - 800px) */
@media (min-width: 601px) and (max-width: 800px) {
    :root {
        --h1-font: 5rem;
        --h2-font: 4rem;
        --h3-font: 3rem;
        --h4-font: 2rem;
        --p-font: 1.375rem;
    }

    body {
        position: relative;
        background: url('../img/bg-mobile.png') no-repeat center center fixed;
        background-size: cover;
        color: white;
    }

    header {
        height: 10%;
    }

    #menu-icon-open {
        display: initial;
    }

    .navlinks {
        display: none;
    }

    .horizontal-line {
        width: 90%;
    }

    .vertical-line{
        display: none;
    }

    .page-content-columns-3 {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        gap: 5rem;
    }

    .page-content-circle {    
        width: 220px;
        height: 220px;
    }

    .video-container {
        width: 250px;
        position: fixed;
        top: 475px;
        left: 50%;
        transform: translateX(-50%);
    }

    .about-container {
        grid-template-columns: 1fr;
        
        margin-top: 10px;
    }

    .about-left { 
        text-align: center;
        width: 80vw;
    }
    
    .about-right {
        text-align: center;
        margin-top: 10px;

        align-items: center;
    }

    .about-img img {
        height: 60%;
        width: 60%;
        transform: translateX(0px);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }

    .head-left {
        text-align: center;
    }

    .head-right {
        text-align: center;
    }

    .home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .home h1 {
        position: fixed;
        top: 400px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home h4 {
        position: fixed;
        top: 225px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .home p {
        position: fixed;
        top: 910px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 1025px;
    }

    .home-social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 1025px;
    }

    .services-home {
        grid-template-columns: 1fr;
        place-items: center;    
    }

    .services-home h1 {
        position: fixed;
        top: 200px;
        left: 0%;
        transform: translateX(12%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home h4 {
        position: fixed;
        top: 150px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .services-home p {
        position: fixed;
        top: 925px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 80vw;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;
    }

    .page-content-box {
        width: 600px;
    }
}

/* Küçük dizüstü ve geniş tabletler (801px - 1024px) */
@media (min-width: 801px) and (max-width: 1024px) {
    :root {
        --h1-font: 6rem;
        --h2-font: 4.5rem;
        --h3-font: 3.25rem;
        --h4-font: 2.25rem;
        --p-font: 1.5rem;
    }

    .video-container {
        transform: translateX(25%);
    }

    .social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 875px;
        transform: translateX(50%);
    }

    .home-social {
        max-width: 80%;
        word-wrap: break-word;
        overflow-wrap: break-word;
        text-align: center;

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 15px;
       
        top: 900px;
        transform: translateX(50%);
    }

    .page-content-columns-3 {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        gap: 5rem;
    }

    .vertical-line{
        display: none;
    }

    .services-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }
}

/* Standart laptop ve masaüstü (1025px - 1280px) */
@media (min-width: 1025px) and (max-width: 1280px) {
    :root {
        --h1-font: 7rem;
        --h2-font: 5rem;
        --h3-font: 3.5rem;
        --h4-font: 2.5rem;
        --p-font: 1.625rem;
    }

    .video-container {
        transform: translateX(25%);
    }

    .services-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .vertical-line{
        display: none;
    }
    
    .services-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        text-align: center;
    }    

    .iframe-box {
        width: 85vw;
        margin: 0 auto;
    }

    .contact-social {
        flex-direction: row;
        gap: 15px;
        
        margin-top: -30px;
        transform: translate(0px);
    }
}

/* Büyük ekranlar (1281px ve üzeri) */
@media (min-width: 1281px) {
    :root {
        --h1-font: 7.5rem;
        --h2-font: 5.5rem;
        --h3-font: 3.5rem;
        --h4-font: 1.875rem;
        --p-font: 1.5rem;
    }
}

/*
@media (min-width:320px)  {  smartphones, portrait iPhone, portrait 480x320 phones (Android) }
@media (min-width:480px)  {  smartphones, Android phones, landscape iPhone }
@media (min-width:600px)  {  portrait tablets, portrait iPad, e-readers (Nook/Kindle), landscape 800x480 phones (Android) }
@media (min-width:801px)  {  tablet, landscape iPad, lo-res laptops ands desktops }
@media (min-width:1025px) {  big landscape tablets, laptops, and desktops }
@media (min-width:1281px) {  hi-res laptops and desktops }
*/

/*
@media (min-width:320px)  {  smartphones, iPhone, portrait 480x320 phones }
@media (min-width:481px)  {  portrait e-readers (Nook/Kindle), smaller tablets @ 600 or @ 640 wide. }
@media (min-width:641px)  {  portrait tablets, portrait iPad, landscape e-readers, landscape 800x480 or 854x480 phones }
@media (min-width:961px)  {  tablet, landscape iPad, lo-res laptops ands desktops }
@media (min-width:1025px) {  big landscape tablets, laptops, and desktops }
@media (min-width:1281px) {  hi-res laptops and desktops }
*/